=== test/stdgpu/hip/CMakeLists.txt ===

target_sources(teststdgpu PRIVATE atomic.hip
                                  bitset.hip
                                  deque.hip
                                  mutex.hip
                                  unordered_map.hip
                                  unordered_set.hip
                                  vector.hip)
