=== debian/changelog ===
stdgpu-contrib (1.3.0+git20220507.32e0517-3) unstable; urgency=medium

  * Fix Thrust version detection (Closes: #1109841)

 -- Timo Röhling <roehling@debian.org>  Fri, 25 Jul 2025 07:32:51 +0200

stdgpu-contrib (1.3.0+git20220507.32e0517-2) unstable; urgency=medium

  * Merge stdgpu-contrib repo into stdgpu repo
  * Refresh patches from stdgpu in main
  * Build-depend on nvidia-cuda-toolkit-gcc
  * Restrict architectures to those with CUDA

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Jul 2023 00:06:05 +0200

stdgpu-contrib (1.3.0+git20220507.32e0517-1) unstable; urgency=medium

  * Initial release.
    This is the stdgpu package configured to build with non-free
    dependencies (CUDA).

 -- Timo Röhling <roehling@debian.org>  Fri, 16 Jun 2023 20:18:11 +0200
