=== debian/control ===
Source: stdgpu-contrib
Section: contrib/libs
Priority: optional
Maintainer: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libthrust-dev,
 nvidia-cuda-toolkit-gcc,
Homepage: https://github.com/stotko/stdgpu
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/stdgpu.git -b master-contrib
Vcs-Browser: https://salsa.debian.org/debian/stdgpu
Description: Efficient STL-like Data Structures on the GPU
 stdgpu is an open-source library providing several generic GPU data structures
 for fast and reliable data management. Multiple platforms such as CUDA,
 OpenMP, and HIP are supported allowing you to rapidly write highly complex
 agnostic and native algorithms that look like sequential CPU code but are
 executed in parallel on the GPU.

Package: libstdgpu-cuda0d
Architecture: amd64 arm64 ppc64el
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (CUDA backend)
 ${source:Extended-Description}
 .
 This package installs the shared library that runs on CUDA.

Package: libstdgpu-cuda-dev
Section: contrib/libdevel
Architecture: amd64 arm64 ppc64el
Multi-Arch: same
Conflicts: libstdgpu-dev
Provides: libstdgpu-dev
Depends:
 ${misc:Depends},
 libstdgpu-cuda0d (= ${binary:Version}),
 libthrust-dev,
Description: ${source:Synopsis} (CUDA development headers)
 ${source:Extended-Description}
 .
 This package installs the development headers for the CUDA version.
