=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DSTDGPU_SETUP_COMPILER_FLAGS=OFF \
		-DSTDGPU_BUILD_TESTS=OFF \
		-DSTDGPU_BUILD_EXAMPLES=OFF \
		-DSTDGPU_BUILD_BENCHMARKS=OFF \
		-DSTDGPU_BUILD_SHARED_LIBS=ON \
		-DSTDGPU_BACKEND=STDGPU_BACKEND_CUDA \
		-DCMAKE_CUDA_ARCHITECTURES=all \
		-DCUDAToolkit_INCLUDE_DIR=/usr/include \
		-DSTDGPU_SOVERSION=0d \
		-DSTDGPU_OUTPUT_NAME=stdgpu_cuda

override_dh_auto_test:
